% Esta funo analisa os resultados medidos pelos sensores de fora e de
% corrente na execuo de movimentos de uma perna fixa pela anca contra o
% solo (descida), e a partir do solo (subida).
%
% Aqui so apresentadas vrias situaes distintas:
%  semobjectos -> Encontro do p com o solo sem objectos desniveladores
%  objfrente -> Objecto desnivelador na parte dianteira do p (sens 1 & 2)
%  objatras -> Objecto desnivelador na parte traseira (sensor 3 & 4)
%  objleft -> Objecto desnivelador a esquerda do p (sensor 1 & 3)
%  objright -> Objecto desnivelador a direita do p (sensor 2 & 4)
%
% O objecto denivelador tem uma altura de 4mm e  colocado parcialmente
% debaixo do p, cuja altura mxima acima do solo  de 1.6cm.

function analyse_collisiondata(filename)

help analyse_collisiondata

scuid=[2 4];

% Load data
s=load(filename);

% Access data
t=s.t;
pressure=s.pressure;
current=s.current;

% Present graphs
close all
figure(1)
plot(t,pressure(:,1),'b.',t,pressure(:,2),'g.',t,pressure(:,3),'m.',t,pressure(:,4),'r.')
axis([0,t(end),0,255])
xlabel('time');
ylabel('Amplitude');
title('Sensores de Fora');
legend('Sensor 1','Sensor 2','Sensor 3','Sensor 4');
grid on

figure(2)
plot(t,sum(pressure')'/size(pressure,2),'k.');
axis([0,t(end),0,255])
xlabel('time');
ylabel('Amplitude');
title('Mean')
grid on

for i=1:length(scuid)
    figure(2+i)
    plot(t,current(:,:,i));
    xlabel('time');
    ylabel('Current pulse');
    title(['Corrente do ' num2str(i) 'o microcontrolador']);
    legend('Motor 1','Motor 2','Motor 3');
    grid on
end
